
Foreman - Feature #7472

Improve autoupdate and autodeletion of interfaces based on facts

09/16/2014 10:39 AM - Marek Hulán

Status: New   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We should add some flag so we know what interfaces were created by parsing facts. We should consider this when updating the

interface and also we may consider auto deletion. We may also let user to modify this flag in form.

Related issues:

Related to Foreman - Tracker #2409: Networking New

Related to Foreman - Feature #12883: Automatically remove missing network int... Duplicate 12/19/2015

History

#1 - 09/16/2014 10:40 AM - Marek Hulán

- Related to Tracker #2409: Networking added

#2 - 10/13/2014 07:18 AM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

#3 - 08/26/2015 02:12 PM - Doug Forster

Adding this may help alleviate some issues like:

http://projects.theforeman.org/issues/10931

http://projects.theforeman.org/issues/11434

I run foreman with puppet and have some docker hosts in our build environment. Those hosts have 500+ interfaces. I was not able to recently update

a host due to a docker (veth*) set as primary interface.

This improvement would be much appreciated.

#4 - 12/22/2015 04:42 AM - Marek Hulán

- Related to Feature #12883: Automatically remove missing network interfaces when using Puppet facts added

#5 - 02/20/2017 02:15 PM - Marek Hulán

- Status changed from Assigned to New

I think this didn't move anywhere. The flag might still be useful but things like docker interfaces are ignored and there's a setting option to disable

interfaces importing.
